Subject: Re: [PATCH 08/18] d80211: clean up exports

From: Johannes Berg <[email-masked]>
Date: Wed, 23 Aug 2006 09:01:43 +0200

On Tue, 2006-08-22 at 09:44 -0700, Jouni Malinen wrote:

> Moving the EXPORT_SYMBOL definitions sounds good, but I would like to
> keep changes between EXPORT_SYMBOL and EXPORT_SYMBOL_GPL separate from
> this kind of cleanup. In addition, I'm not personally a huge fan of the
> EXPORT_SYMBOL_GPL in the first place since I believe the GPL should
> cover this without additional changes in the source code. In other
> words, I would prefer that the EXPORT_SYMBOL would not be changed to
> EXPORT_SYMBOL_GPL here.

I just intended making it _GPL as an additional deterrent since you
practically need the internal ieee80211_i.h header for any kind of rate
control algorithm. I'm fine with dropping them, however.

johannes